Bug 2232135 - Kernel config option CONFIG_DMABUF_SYSFS_STATS should be disabled due to performance issues & it being depricated
Summary: Kernel config option CONFIG_DMABUF_SYSFS_STATS should be disabled due to perf...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 38
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2023-08-15 14:29 UTC by Jerone Young
Modified: 2023-08-19 01:15 UTC (History)
16 users (show)

Fixed In Version: kernel-6.4.11-100.fc37 kernel-6.4.11-200.fc38
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-08-16 01:27:11 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)

Description Jerone Young 2023-08-15 14:29:51 UTC
1. Please describe the problem:

CONFIG_DMABUF_SYSFS_STATS is enabled in Fedora. Though it has
- Know performance issues
- Deprecated in the kernel

The following is from the Kconfig:
"This option is deprecated and should sooner or later be removed. Android is the only user of this and it turned out that this resulted in quite some performance problems."


2. What is the Version-Release number of the kernel:
6.4.10-200.fc38.x86_64



Reproducible: Always

Comment 2 Fedora Update System 2023-08-16 20:34:52 UTC
FEDORA-2023-1ccaad9e2e has been submitted as an update to Fedora 38. https://bodhi.fedoraproject.org/updates/FEDORA-2023-1ccaad9e2e

Comment 3 Fedora Update System 2023-08-16 20:34:56 UTC
FEDORA-2023-cb2ef9c22c has been submitted as an update to Fedora 37. https://bodhi.fedoraproject.org/updates/FEDORA-2023-cb2ef9c22c

Comment 4 Fedora Update System 2023-08-17 01:30:54 UTC
FEDORA-2023-1ccaad9e2e has been pushed to the Fedora 38 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-1ccaad9e2e`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-1ccaad9e2e

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 5 Fedora Update System 2023-08-17 01:32:37 UTC
FEDORA-2023-cb2ef9c22c has been pushed to the Fedora 37 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-cb2ef9c22c`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-cb2ef9c22c

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Fedora Update System 2023-08-19 00:48:12 UTC
FEDORA-2023-cb2ef9c22c has been pushed to the Fedora 37 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 7 Fedora Update System 2023-08-19 01:15:03 UTC
FEDORA-2023-1ccaad9e2e has been pushed to the Fedora 38 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.